//////////////////////////////////////
//////////////////////////////////////
// 
// jp:new_menu_lib.js
// 
//////////////////////////////////////
//////////////////////////////////////
var _DOSHISHACOMMON = {};
_DOSHISHACOMMON.Init = function () {
  _DOSHISHACOMMON.WRITE();
}
_DOSHISHACOMMON.WRITE = function () {
  var element = document.getElementById("doshisha_commonheader_wrapper");
  var Host = document.location.protocol;
  if (Host == "https:") {
    //https
    element.innerHTML = '<div id="doshisha_commonheader"><div id="doshisha_commonheader_inner"><button id="doshisha_commonheader_globalNaviBtn"><span>同志社大学共通メニュー</span></button><div id="doshisha_commonheader_globalNaviWrapper"><div id="doshisha_commonheader_globalNaviInner"><div id="doshisha_commonheader_globalNavi"><ul><li class="naviHome"><a href="https://www.doshisha.ac.jp/"><span>同志社大学ホーム</span></a></li><li class="navi01"><a href="https://www.doshisha.ac.jp/information/index.html"><span>大学紹介</span></a></li><li class="navi02"><a href="https://www.doshisha.ac.jp/academics/index.html"><span>学部・大学院</span></a></li><li class="navi03"><a href="https://www.doshisha.ac.jp/education/index.html"><span>教育・図書館</span></a></li><li class="navi04"><a href="https://www.doshisha.ac.jp/research/index.html"><span>研究・産官学連携</span></a></li><li class="navi05"><a href="https://www.doshisha.ac.jp/student_life/index.html"><span>学生生活・就職</span></a></li><li class="navi06"><a href="https://www.doshisha.ac.jp/international/index.html"><span>国際交流・留学</span></a></li></ul></div><div id="doshisha_commonheader_globalSubNavi"><ul><li class="entrance"><a href="https://www.doshisha.ac.jp/admissions_undergrad/entrance_exam.html"><span><b>入学試験情報</b></span></a></li><li class="recruit"><a href="https://www.doshisha.ac.jp/career/index.html"><span><b>就職・キャリア</b></span></a></li><li class="contact"><a href="https://www.doshisha.ac.jp/contact.html"><span><b>お問い合わせ<br>一覧</b></span></a></li><li class="access"><a href="https://www.doshisha.ac.jp/information/campus/list.html"><span><b>交通アクセス・<br>キャンパスマップ</b></span></a></li></ul></div></div></div></div></div>';
  } else {
    //http
    element.innerHTML = '<div id="doshisha_commonheader"><div id="doshisha_commonheader_inner"><button id="doshisha_commonheader_globalNaviBtn"><span>同志社大学共通メニュー</span></button><div id="doshisha_commonheader_globalNaviWrapper"><div id="doshisha_commonheader_globalNaviInner"><div id="doshisha_commonheader_globalNavi"><ul><li class="naviHome"><a href="http://www.doshisha.ac.jp/"><span>同志社大学ホーム</span></a></li><li class="navi01"><a href="http://www.doshisha.ac.jp/information/index.html"><span>大学紹介</span></a></li><li class="navi02"><a href="http://www.doshisha.ac.jp/academics/index.html"><span>学部・大学院</span></a></li><li class="navi03"><a href="http://www.doshisha.ac.jp/education/index.html"><span>教育・図書館</span></a></li><li class="navi04"><a href="http://www.doshisha.ac.jp/research/index.html"><span>研究・産官学連携</span></a></li><li class="navi05"><a href="http://www.doshisha.ac.jp/student_life/index.html"><span>学生生活・就職</span></a></li><li class="navi06"><a href="http://www.doshisha.ac.jp/international/index.html"><span>国際交流・留学</span></a></li></ul></div><div id="doshisha_commonheader_globalSubNavi"><ul><li class="entrance"><a href="http://www.doshisha.ac.jp/admissions_undergrad/entrance_exam.html"><span><b>入学試験情報</b></span></a></li><li class="recruit"><a href="http://www.doshisha.ac.jp/career/index.html"><span><b>就職・キャリア</b></span></a></li><li class="contact"><a href="http://www.doshisha.ac.jp/contact.html"><span><b>お問い合わせ<br>一覧</b></span></a></li><li class="access"><a href="http://www.doshisha.ac.jp/information/campus/list.html"><span><b>交通アクセス・<br>キャンパスマップ</b></span></a></li></ul></div></div></div></div></div>';
  }
}
try {
  window.addEventListener("DOMContentLoaded", _DOSHISHACOMMON.Init, false);
  window.addEventListener("DOMContentLoaded", _Menuset, false);
  window.addEventListener("unload", _DOSHISHACOMMON.UnloadFunction, false);
} catch (e) {
  window.attachEvent("DOMContentLoaded", _DOSHISHACOMMON.Init);
  window.attachEvent("onunload", _DOSHISHACOMMON.UnloadFunction);
}

function _Menuset() {
  var __doshishaobj = {
    SMARTMAX: 767, // ブレイクポイントを設定
    mode: ''
  }
  var devicechanged = false;
  var gnaviButton;
  __doshishaobj.windowSet = function () {
    var windowSize = document.getElementById('doshisha_commonheader_wrapper').clientWidth;
    var nowDevice;
    if (windowSize > __doshishaobj.SMARTMAX) {
      nowDevice = 'pc';
    } else {
      nowDevice = 'smart';
    }
    if (nowDevice != __doshishaobj.mode) {
      __doshishaobj.mode = nowDevice;
      devicechanged = true;
    } else {
      devicechanged = false;
    }
  }
  gnaviButton = new gnaviButtonSet();
  __doshishaobj.windowSet();
  gnaviButton.init();
  window.addEventListener('resize', function () {
    __doshishaobj.windowSet();
    reSizeSet();

    function reSizeSet() {
      if (devicechanged) {
        if (__doshishaobj.mode == 'smart') {
          gnaviButton.init();
        } else {
          gnaviButton.unInit();
        }
      }
    }
  }, false);

  function gnaviButtonSet() {
    var _this = this;
    var _lnavi = document.getElementById('doshisha_commonheader_globalNaviInner');
    var _lnavibtn = document.getElementById('doshisha_commonheader_globalNaviBtn');
    document.getElementById('doshisha_commonheader_globalNaviBtn').addEventListener('click', function () {
      var _lnaviclone = _lnavi.cloneNode(true);
      _lnavi.parentNode.appendChild(_lnaviclone);
      _lnaviclone.style.cssText = 'display:block; height:auto !important; visibility:hidden;';
      _lnavi.style.height = _lnaviclone.offsetHeight + 'px';
      _lnavi.parentNode.removeChild(_lnaviclone);
      _lnavi.classList.toggle('close');
      _lnavi.addEventListener('transitionend', function () {
        if (_lnavi.classList.contains('close')) {
          _lnavi.style.cssText = 'height:auto;';
          _lnavibtn.classList.remove('open');
        } else {
          _lnavibtn.classList.add('open');
        }
      });
    }, false);
    _this.init = function () {
      if (__doshishaobj.mode == 'smart') {
        _lnavibtn.style.display = 'block';
        _lnavi.classList.add('close');
      }
    }
    _this.unInit = function () {
      _lnavi.setAttribute('style', '');
      _lnavibtn.style.display = 'none';
      _lnavibtn.classList.remove('open');
    }
  }
}